summaryrefslogtreecommitdiff
path: root/dwm/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dwm/setup.sh')
-rwxr-xr-xdwm/setup.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/dwm/setup.sh b/dwm/setup.sh
new file mode 100755
index 0000000..01e3f4a
--- /dev/null
+++ b/dwm/setup.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+set -x
+
+tar -xzf dwm-6.6.tar.gz
+cd dwm-6.6
+patch <../my.diff
+patch <../dwm-movestack-6.6.diff
+patch <../dwm-quitprompt-20220718-6613d9f.diff
+patch <../dwm-warp-6.4.diff
+patch <../dwm-removeborder-20220626-d3f93c7.diff
+make config.h
+sudo make install